/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "CMSIS-FreeRTOS", "index.html", [
    [ "Introduction", "index.html#Introduction", [
      [ "License", "index.html#autotoc_md0", null ],
      [ "ARM::CMSIS-FreeRTOS Pack", "index.html#autotoc_md1", null ]
    ] ],
    [ "Revision History", "rev_hist.html", null ],
    [ "Create a FreeRTOS project", "cre_freertos_proj.html", [
      [ "Create a native FreeRTOS project", "cre_freertos_proj.html#native_freertos", [
        [ "Configure FreeRTOS", "cre_freertos_proj.html#native_freertos_config", null ],
        [ "Interrupt priority configuration", "cre_freertos_proj.html#native_freertos_config_prio", null ],
        [ "Add Event Recorder Visibility", "cre_freertos_proj.html#native_freertos_er", null ]
      ] ],
      [ "Create a CMSIS-FreeRTOS project", "cre_freertos_proj.html#cmsis_freertos", [
        [ "Configure CMSIS-FreeRTOS", "cre_freertos_proj.html#cmsis_freertos_config", null ],
        [ "Add Event Recorder Visibility", "cre_freertos_proj.html#cmsis_freertos_er", null ]
      ] ],
      [ "Create a mixed-interface project", "cre_freertos_proj.html#freertos_interfaces", [
        [ "Start the kernel using CMSIS-RTOS2 API", "cre_freertos_proj.html#freertos_interface_rtos2", null ],
        [ "Start the kernel using native API", "cre_freertos_proj.html#freertos_interface_native", null ]
      ] ],
      [ "Configure Event Recorder", "cre_freertos_proj.html#cmsis_freertos_evr_config", null ],
      [ "Debug a CMSIS-FreeRTOS project", "cre_freertos_proj.html#dbg_cmsisfreertos", null ]
    ] ],
    [ "Example projects", "examples.html", [
      [ "Build and Run", "examples.html#build_run", [
        [ "Targets", "examples.html#build_target_types", null ],
        [ "Build in VS Code using Arm Keil Studio Pack extensions", "examples.html#build_vscode", null ],
        [ "Build via command line", "examples.html#build_cmdline", null ],
        [ "Execute on Virtual Hardware Target", "examples.html#example_exec", null ]
      ] ],
      [ "Hello World", "examples.html#example_hello", null ],
      [ "TrustZone", "examples.html#example_trustzone", null ]
    ] ],
    [ "Technical data and limitations", "tech_data.html", [
      [ "Limitations", "tech_data.html#td_limitations", null ],
      [ "Validation suite results", "tech_data.html#td_validation", null ],
      [ "Troubleshooting", "tech_data.html#td_troubleshooting", null ]
    ] ],
    [ "Function Overview", "functionOverview.html", [
      [ "CMSIS-RTOS2 API", "functionOverview.html#rtos_api2", [
        [ "Kernel Information and Control", "functionOverview.html#autotoc_md2", null ],
        [ "Thread Management", "functionOverview.html#autotoc_md3", null ],
        [ "Thread Flags", "functionOverview.html#autotoc_md4", null ],
        [ "Generic Wait Functions", "functionOverview.html#autotoc_md5", null ],
        [ "Timer Management", "functionOverview.html#autotoc_md6", null ],
        [ "Event Flags", "functionOverview.html#autotoc_md7", null ],
        [ "Mutex Management", "functionOverview.html#autotoc_md8", null ],
        [ "Semaphores", "functionOverview.html#autotoc_md9", null ],
        [ "Memory Pool", "functionOverview.html#autotoc_md10", null ],
        [ "Message Queue", "functionOverview.html#autotoc_md11", null ]
      ] ]
    ] ],
    [ "API Reference", "modules.html", "modules" ]
  ] ]
];

var NAVTREEINDEX =
[
"cre_freertos_proj.html",
"group__freertos__evr__tasks.html#gaabd51c00b4f2234f837638d6a9f20064"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';